Subject: FW: Framework Feedback re: Offload

From: "Yang, Lily L" <[email-masked]>
Date: Mon, 14 Jul 2003 02:05:22 -0700

Hi, all --

Two changes are proposed to the current framework draft v06. Please see
detail in the forwarded email thread. I summarize the changes here
briefly:
1) reg. Offload functions: add one paragraph in Section 5.6 to make it
clear that while off-load functions might be interesting but they are
not part of the FE model specification.
2) reg. transport: modified text in 4.2.1 to make it clear that RFC2914
compliant L4 protocol is needed only for multi-hop scenario. This is to
match up with the requirement doc.

Let us know if you have comments or objection on these changes.

Lily

> -----Original Message-----
> From: Putzolu, David
> Sent: Monday, July 14, 2003 12:33 AM
> To: Yang, Lily L; [email-masked]'
> Cc: Anderson, Todd A; [email-masked]'; 'Alex Zinin';
[email-masked]'
> Subject: RE: Framework Feedback re: Offload
> 
> Thanks Lily. Can you send a note to the mailing list
> explaining the change?  Ram, can you go over this
> briefly during the meeting today as well?
> 
> Cheers,
> David
> 
> > -----Original Message-----
> > From: Yang, Lily L
> > Sent: Sunday, July 13, 2003 7:54 AM
> > To: Putzolu, David; [email-masked]'; 'Alex Zinin'
> > Cc: Anderson, Todd A; [email-masked]'; [email-masked]'
> > Subject: RE: Framework Feedback re: Offload
> >
> >
> > David, Patrick and Alex --
> >
> > After discussing with my co-authors, we agree to the proposed
> > change. We also would like to propose one small change to
> > update the reliability reference in the framework to match
> > the requirement draft.
> > So here are the two changes that we would like to make:
> >
> > 1) Add the following paragraph to the end of section 5.6:
> >    The exact description of the off-loaded functionality
corresponding
> >    to the off-loaded functions expressed in the FE model are
> > not part of
> >    the model itself and will need to be worked out as a separate
> >    specification.
> >
> > 2) At the end of Section 4.2.1: replace the old text with the
> > new one: [old text]
> > ForCES will make use of an existing RFC2914 ([2]) compliant L4
> > protocol with adequate reliability, security and congestion control
> > (e.g. TCP, SCTP) for transport purposes.
> > [new text]
> > When the CEs and FEs are separated beyond a single hop, the
> > ForCES protocol will make use of an existing RFC2914
> > compliant L4 protocol with adequate reliability, security and
> > congestion control (e.g. TCP, SCTP) for transport purposes.
> >
> > Please inform the RFC editor about the minor change and move
> > the document forward in the review process. Let me know if
> > you have additional questions.
> >
> > Thank you,
> >
> > Lily
> > -----Original Message-----
> > From: Putzolu, David
> > Sent: Friday, July 11, 2003 11:13 AM
> > To: Anderson, Todd A; [email-masked]'; Yang, Lily L;
> > [email-masked]
> > Cc: [email-masked]; 'Alex Zinin'; Putzolu, David
> > Subject: Framework Feedback re: Offload
> >
> > All,
> >
> > Patrick, Alex, and I have been discussing Pekka's and
> > other peoples' feedback around the off-load question.  As
> > off-load was added to the requirements after a good working
> > group discussion (on the mailing list) and after design team
> > deliberation (in calls),  we felt that it should not be
> > removed.  However, for the sake of making good progress, the
> > working group should focus on the more basic functions
> > first.  That is, it would be a bad thing if a large amount
> > of effort was spent on, say, figuring out a standard way to
> > offload OSPF or TCP to a FE via ForCES before we figure out
> > how to control IP forwarding or DiffServ QoS on a FE via ForCES.
> > So the framework should explain that offload is possible,
> > but the initial deliverables of the model should be the basic
> > needed functions, and offload functions should wait until
> > we've nailed down the basics.
> >
> > Alex had a suggested amendment to the framework document to
> > help capture this - would it be ok to add this to the end of
> > section 5.6?
> >
> >    The exact description of the off-loaded functionality
corresponding
> >    to the off-loaded functions expressed in the FE model are
> > not part of
> >    the model itself and will need to be worked out as a separate
> >    specification.
> >
> > This essentially says that off-load, while supported,
> > should not be explicitly worked out until later.
> >
> > If the authors are comfortable with this, could you
> > create a rfc-editor change note ("old text...new text...")
> > that incorporates this modification and send it to myself,
> > Patrick, and Alex?
> >
> > Thanks,
> > David
> >